import { SetMetadata } from '@nestjs/common';

/**
 * Restrict this route to only these privileges. AND logic!
 * @param privileges List of privileges for this route
 */
export const Privileges = (...privileges: (string | string[])[]) =>
  SetMetadata('privileges', privileges);
